# Uses of Interface
org.opensaml.saml.ext.saml2mdui.IPHint

Packages that use IPHint
Package
Description
org.opensaml.saml.ext.saml2mdui
Interfaces for SAML 2 Metadata Extensions for Login UI and Discovery.
org.opensaml.saml.ext.saml2mdui.impl
Implementation for SAML V2 Metadata Extensions for UI and Discovery.

## Uses of IPHint in org.opensaml.saml.ext.saml2mdui

Methods in org.opensaml.saml.ext.saml2mdui that return types with arguments of type IPHint
Modifier and Type
Method
Description
`List<IPHint>`
DiscoHints.`getIPHints()`
The <IPHint> element specifies a set of [CIDR] blocks associated with, or serviced by, the entity.

## Uses of IPHint in org.opensaml.saml.ext.saml2mdui.impl

Classes in org.opensaml.saml.ext.saml2mdui.impl that implement IPHint
Modifier and Type
Class
Description
`class`
`IPHintImpl`
Concrete implementation of `IPHint`.
Methods in org.opensaml.saml.ext.saml2mdui.impl that return IPHint
Modifier and Type
Method
Description
`IPHint`
IPHintBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`IPHint`
IPHintBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.ext.saml2mdui.impl that return types with arguments of type IPHint
Modifier and Type
Method
Description
`List<IPHint>`
DiscoHintsImpl.`getIPHints()`
The <IPHint> element specifies a set of [CIDR] blocks associated with, or serviced by, the entity.